astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Logging system »
- Conf

# Conf

class `astropy.logger.``Conf`

  Bases: `astropy.config.ConfigNamespace`

  Configuration parameters for `astropy.logger`.

  Attributes Summary

  `log_exceptions` | Whether to log exceptions before raising them.
  `log_file_format` | Format for log file entries.
  `log_file_level` | Threshold for logging messages to `log_file_path`.
  `log_file_path` | The file to log messages to.
  `log_level` | Threshold for the logging messages.
  `log_to_file` | Whether to always log messages to a log file.
  `log_warnings` | Whether to log `warnings.warn` calls.

  Attributes Documentation

  `log_exceptions`

    Whether to log exceptions before raising them.

  `log_file_format`

    Format for log file entries.

  `log_file_level`

    Threshold for logging messages to `log_file_path`.

  `log_file_path`

    The file to log messages to. When `''`, it defaults to a file `'astropy.log'` in the astropy config directory.

  `log_level`

    Threshold for the logging messages. Logging messages that are less severe than this level will be ignored. The levels are `'DEBUG'`, `'INFO'`, `'WARNING'`, `'ERROR'`.

  `log_to_file`

    Whether to always log messages to a log file.

  `log_warnings`

    Whether to log `warnings.warn` calls.